
TYPO3.Flow - Bug # 3537

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Configuration
Created: 2009-06-02 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Subroute placeholders appear in URL if no replaced
Description

From IRC:
after deleting the welcome package i get strange subroutes for e.g. documentation
"http://flow3-alpha1.local/%3Cwelcomesubroutes%3E?packageKey=FLOW3&documentationName=Manual&language=en&%40action=index&%40controller=Standard&%40package=DocumentationBrowser"
=index&%40controller=Standard&%40package=DocumentationBrowser"

Associated revisions
Revision 535b8666 - 2009-06-24 12:39 - Karsten Dambekalns

[FIX] FLOW3 (Configuration): Subroute placeholders are now ignored if the package they refer to is not active, fixes #3537

History
#1 - 2009-06-02 20:27 - Bastian Waidelich
- Category changed from MVC to Configuration
- Target version changed from 283 to 1.0 alpha 2

That's acctually an issue with the Configuration Manager - It skips routes that reference non existing subroutes, but it should throw an exception..

#2 - 2009-06-02 22:44 - Bastian Waidelich
- File FLOW3_Subroute_placeholders_appear_in_URL_if_no_replaced_3537.patch added
- Status changed from Accepted to Needs Feedback
- Assigned To changed from Bastian Waidelich to Robert Lemke

See attached patch - That should be all there is to change in order to fix the bug.
But I couldn't get the systemLogger injected.. It probably needs some setup in Objects.yaml..

#3 - 2009-06-24 12:09 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns

Thanks for the patch, it solves the issue.

Injecting a logger into the configuration manager is impossible, as the configuration is needed to build the logger to be injected...
#4 - 2009-06-24 13:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2643.

Files
FLOW3_Subroute_placeholders_appear_in_URL_if_no_replaced_3537.patch1.7 kB 2009-06-02 Bastian Waidelich
